%global commit0 857d892b668b4737d41ef1b7f58fd45eac84d552
%global date 20230328
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
#global tag %%{version}

%define tarball xf86-video-openchrome
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/drivers

# (anssi) The unversioned symlink of XvMC library must be present in
# %%{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%global __requires_exclude devel\\(

%define rel     3

Summary:        X.org driver for Unichrome cards from the OpenChrome project
Name:           x11-driver-video-openchrome
Version:        0.6.604
Release:        %mkrel 0.%{date}git%{shortcommit0}.%{rel}
Group:          System/X11
URL:            https://www.freedesktop.org/wiki/Openchrome/
License:        MIT

%if 0%{?tag:1}
Source0:        https://xorg.freedesktop.org/archive/individual/driver/%{tarball}-%{version}.tar.bz2
%else
Source0:        %{tarball}-%{shortcommit0}.tar.bz2
%endif
Source1:        make-git-snapshot.sh
Patch1:         xf86-video-openchrome-fix-linking.patch

ExclusiveArch:  %{ix86} x86_64

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  GL-devel
BuildRequires:  pkgconfig(libdrm) >= 2.2
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(xorg-server) >= 1.0.1
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(xvmc)
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
A free and Open Source video driver for the VIA/S3G
UniChrome and UniChrome Pro graphics chipsets. (CLE266,
KN400, KM400, K8M800, PM800, CN400, VN800)

%prep
%if 0%{?tag:1}
%autosetup -p1 -n %{tarball}-%{version}
%else
%autosetup -p1 -n %{tarball}-%{commit0}
%endif

%build
autoreconf -vif
%configure --disable-static --enable-viaregtool
%make_build

%install
%make_install
find %{buildroot} -name "*.la" -delete

%files
%doc NEWS README
%license COPYING
%{driverdir}/openchrome_drv.so
%{_libdir}/libchromeXvMC.so
%{_libdir}/libchromeXvMC.so.1
%{_libdir}/libchromeXvMC.so.1.0.0
%{_libdir}/libchromeXvMCPro.so
%{_libdir}/libchromeXvMCPro.so.1
%{_libdir}/libchromeXvMCPro.so.1.0.0
%{_mandir}/man4/openchrome.4.xz
%{_sbindir}/via_regs_dump


%changelog
* Mon Jul 14 2025 daviddavid <daviddavid> 0.6.604-0.20230328git857d892.3.mga10
+ Revision: 2255282
- Mageia 10 Mass Rebuild

* Fri Nov 29 2024 wally <wally> 0.6.604-0.20230328git857d892.2.mga10
+ Revision: 2119908
- fix linking

* Fri Nov 29 2024 ns80 <ns80> 0.6.604-0.20230328git857d892.1.mga10
+ Revision: 2119903
- sync with Fedora to try to fix building with GCC 14

* Fri Apr 01 2022 umeabot <umeabot> 0.6.0-7.mga9
+ Revision: 1837972
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 tmb <tmb> 0.6.0-6.mga9
+ Revision: 1748560
- rebuild for updated xserver-abi

* Sat Jun 27 2020 joequant <joequant> 0.6.0-5.mga8
+ Revision: 1599555
- fix gcc10 build

* Wed Feb 26 2020 daviddavid <daviddavid> 0.6.0-4.mga8
+ Revision: 1550748
- fix linking issue
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1301762
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 0.6.0-2.mga7
+ Revision: 1207642
- rebuild for xserver 1.20 RC1

* Thu Mar 09 2017 tv <tv> 0.6.0-1.mga6
+ Revision: 1090959
- new release

* Thu Nov 17 2016 tv <tv> 0.4.0-4.mga6
+ Revision: 1067649
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 0.4.0-3.mga6
+ Revision: 1043259
- rebuild for xorg-server 1.18.4

* Mon May 30 2016 tv <tv> 0.4.0-2.mga6
+ Revision: 1019405
- do not both build on arm

* Thu Mar 31 2016 tv <tv> 0.4.0-1.mga6
+ Revision: 997121
- new release
  (git archive of the 0_4_0 tag)
- drop merged patch
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 0.3.3-15.mga6
+ Revision: 902268
- submit to core/release

* Tue Nov 10 2015 tv <tv> 0.3.3-14.mga6
+ Revision: 901416
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 0.3.3-13.mga6
+ Revision: 835944
- rebuild for xserver 1.17

* Thu Oct 16 2014 luigiwalser <luigiwalser> 0.3.3-12.mga5
+ Revision: 766682
- add patch to fix build with glibc 2.20
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Mon Jun 09 2014 tv <tv> 0.3.3-10.mga5
+ Revision: 634972
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.3.3-9.mga5
+ Revision: 633650
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.3.3-8.mga5
+ Revision: 614320
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.3.3-7.mga5
+ Revision: 582240
- rebuild for new xserver

* Fri Dec 06 2013 tmb <tmb> 0.3.3-6.mga4
+ Revision: 555607
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 0.3.3-5.mga4
+ Revision: 533086
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 luigiwalser <luigiwalser> 0.3.3-4.mga4
+ Revision: 471380
- use autoreconf -fi to try to fix build error

* Thu May 30 2013 tv <tv> 0.3.3-3.mga4
+ Revision: 433124
- submit to core/release

* Fri May 24 2013 tv <tv> 0.3.3-2.mga4
+ Revision: 425655
- rebuild with xserver-1.14

* Thu May 23 2013 tv <tv> 0.3.3-1.mga4
+ Revision: 425562
- new release

* Sat Mar 30 2013 tmb <tmb> 0.3.2-1.mga4
+ Revision: 406678
- 0.3.2 (maintenance, bugfixes)

* Mon Jan 14 2013 umeabot <umeabot> 0.3.1-4.mga3
+ Revision: 386001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.3.1-3.mga3
+ Revision: 340793
- fix for automake 1.13

* Thu Sep 06 2012 tv <tv> 0.3.1-2.mga3.nonfree
+ Revision: 288936
- rebuild for new xserver

* Thu Sep 06 2012 tv <tv> 0.3.1-1.mga3
+ Revision: 288736
- new release

* Sat Jul 28 2012 fwang <fwang> 0.3.0-2.mga3
+ Revision: 275169
- br udev

* Fri Jul 27 2012 fwang <fwang> 0.3.0-1.mga3
+ Revision: 274917
- new version 0.3.0

* Wed Jun 06 2012 tmb <tmb> 0.2.906-3.mga3
+ Revision: 256449
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.2.906-2.mga3
+ Revision: 252968
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.2.906-1.mga3
+ Revision: 249798
- new release

* Fri Feb 10 2012 tv <tv> 0.2.905-1.mga2
+ Revision: 207042
- new release
- drop patch 0 (upstream)

* Fri Dec 23 2011 shlomif <shlomif> 0.2.904-9.mga2
+ Revision: 186710
- Correct rpmlint problems
- Updated with the Fedora package patches

* Tue Dec 06 2011 tmb <tmb> 0.2.904-8.mga2
+ Revision: 177464
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.2.904-7.mga2
+ Revision: 153304
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.2.904-6.mga2
+ Revision: 153089
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.2.904-5.mga1
+ Revision: 64406
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.2.904-4.mga1
+ Revision: 50254
- imported package x11-driver-video-openchrome


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 0.2.904-4mdv2011.0
+ Revision: 595722
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 0.2.904-3mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Fri Nov 27 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.2.904-2mdv2010.1
+ Revision: 470701
- Rebuild.

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 0.2.904-1mdv2010.1
+ Revision: 463601
- new release
- drop patch 0 (merged upstream)

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 0.2.903-8mdv2010.0
+ Revision: 450474
- enable XvMC on MIPS to fix build (from Arnaud Patard)
- enable LCD output on Guillemot NA01 (Hercules eCafe EC-900B)

* Mon Sep 21 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.2.903-7mdv2010.0
+ Revision: 446536
- Update to svn revision 788

* Mon Jul 13 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 0.2.903-6mdv2010.0
+ Revision: 395472
- Update to latest svn revision (755)

* Fri Apr 10 2009 Frederic Crozat <fcrozat@mandriva.com> 0.2.903-5mdv2009.1
+ Revision: 365760
- Push package from testing to main (Mdv bug #49787)

* Mon Apr 06 2009 Frederic Crozat <fcrozat@mandriva.com> 0.2.903-4mdv2009.1
+ Revision: 364502
- Update to SVN version 740 (patch0), should fix a lot of issues (Fedora)
- Remove patch101 (no longer needed)
- Remove patch0 (merged upstream)

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 0.2.903-3mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.903-2mdv2009.1
+ Revision: 308136
- rebuild for new X server

* Mon Aug 25 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 0.2.903-1mdv2009.0
+ Revision: 275764
- Update to version 0.2.903
- Remove Fedora patches included in the new release
- Rediff openchrome-0.2.902-re_enable_AGPDMA.patch

* Tue Jul 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.902-1mdv2009.0
+ Revision: 236116
- comment use of autoreconf
- don't package .la files (from Fedora)
- br libxext-devel
- add underlink.patch: fix underlinking
- sync with Fedora patches (Fedora maintainer is upstream dev)
- use %%version in tarball name
- new release 0.2.902

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - improved summary

* Thu Feb 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2.901-2mdv2008.1
+ Revision: 168537
- Add patch requested by upstream. See http://wiki.openchrome.org/pipermail/openchrome-users/2008-February/004209.html for more information.

* Thu Feb 07 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.901-1mdv2008.1
+ Revision: 163653
- new upstream version: 0.2.901
  - libopenchrome* was renamed to libchrome* (no cooker package
    depends on it anyway)
- unichrome-driver_name.patch is already upstream
- vt1625_NTSC_modes.patch is already upstream
- unichrome-fixcompile.patch is obsolete, dropped
- openchrome-chrome9-support.patch is already upstream
- billionmokeys.net_openchrome.patch was updated and is now called
  billionmokeys.net_modelines.patch
  (Thanks Damien Lallement for pointing me to this new version)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.0.20071015-1mdv2008.1
+ Revision: 98659
- new svn snapshot (r412)
- added description
- minor spec cleanup

* Tue Aug 21 2007 Paulo Andrade <pcpa@mandriva.com.br> 0.2.0.20070821-2mdv2008.0
+ Revision: 68697
- Add chrome9 suport.

* Tue Aug 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.2.0.20070821-1mdv2008.0
+ Revision: 68639
- update to a newer snapshot version of the driver

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension


* Sat Apr 07 2007 Stefan van der Eijk <stefan@mandriva.org> 0.2.0.20070406-1mdv2007.1
+ Revision: 151222
- fix setup
- correct release
- 20070406, svnrel 313
- add vt1625 patches

* Mon Mar 12 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.2.0.20060725-5mdv2007.1
+ Revision: 141727
- Added a patch fixing compilation on i586 (#29352)
- Adding BuildRequires for GL-devel
- Added missing BuildRequires
- Fixed the patch for the name change. Now it is working.

  + Anssi Hannula <anssi@mandriva.org>
    - remove devel requires

* Fri Sep 08 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.2.0.20060725-1mdv2007.0
+ Revision: 60441
- adding openchrome driver to cooker. Still needs testing

